## javax.help.plaf
Class HelpUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.help.plaf.HelpUI

Direct Known Subclasses:
  BasicHelpUI

public abstract class HelpUI
extends javax.swing.plaf.ComponentUI

UI factory interface for JHelp.

Constructor Summary
`HelpUI()`

Method Summary
`abstract void` `addNavigator(JHelpNavigator nav)` Adds a Navigator.
`abstract JHelpNavigator` `getCurrentNavigator()` Gets the current Navigator.
`abstract void` `removeNavigator(JHelpNavigator nav)` Remove a Navigator.
`abstract void` `setCurrentNavigator(JHelpNavigator nav)` Sets the current Navigator.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelpUI

    public HelpUI()

Method Detail

### addNavigator

    public abstract void addNavigator(JHelpNavigator nav)

  Adds a Navigator.

  Parameters:
    `nav` - the Navigator to add

### removeNavigator

    public abstract void removeNavigator(JHelpNavigator nav)

  Remove a Navigator.

  Parameters:
    `nav` - The Navigator to remove.

### setCurrentNavigator

    public abstract void setCurrentNavigator(JHelpNavigator nav)

  Sets the current Navigator.

  Parameters:
    `nav` - The current Navigator to show.

### getCurrentNavigator

    public abstract JHelpNavigator getCurrentNavigator()

  Gets the current Navigator.